header {
  width: 100%;
  background: $white;
  padding: 25px 0;
  position: fixed;
  z-index: 100;
  @include transition;

  @include respond-to(mobile) {
    padding: 20px 0;
  }

  .header {
    display: flex;
    flex-wrap: wrap;
    align-items: center;

    @include respond-to(mobile) {
      justify-content: space-between;
    }

    &-logo {
      width: 100px;
      height: 40px;
      text-decoration: none;
      position: relative;
      z-index: 2;

      @include respond-to(mobile) {
        width: 40px;
        height: 16px;
        margin-top: -8px;
      }

      img {
        width: 100px;
        height: 40px;

        @include respond-to(mobile) {
          width: 40px;
          height: 16px;
        }
      }
    }

    &-name {
      flex: 1 1 0;
      color: $black;
      font: bold 30px/30px $ssp-b, sans-serif;
      text-decoration: none;
      text-transform: uppercase;
      position: relative;
      margin-left: 20px;
      z-index: 2;

      &:after {
        content: '';
        width: 190px;
        height: 2px;
        display: block;
        background: $aqua url('images/dotted.png') center no-repeat;
        margin-top: 6px;
      }

      @include respond-to(mobile) {
        flex: none;
        font: bold 16px/16px $ssp-b, sans-serif;
        margin-left: 0;

        &:after {
          content: '';
          width: 100%;
          background-image: none;
        }
      }
    }

    &-burger {
      width: 15px;
      height: 7px;
      margin-top: -8px;
      display: block;
      position: relative;
      z-index: 2;

      &:before {
        content: '';
        width: 100%;
        height: 2px;
        display: block;
        background: $gray;
        position: absolute;
        top: 0;
      }

      &:after {
        content: '';
        width: 100%;
        height: 2px;
        display: block;
        background: $gray;
        position: absolute;
        bottom: 0;
      }

      &.active {

        &:before {
          @include transform(rotate(45deg));
        }

        &:after {
          @include transform(rotate(-45deg));
          bottom: 5px;
        }
      }

      @include respond-to(hover) {display: none;}
    }

    &-nav {

      &-menu {
        display: flex;
        align-items: center;

        @include respond-to(mobile) {
          display: none;
        }
        
        li {

          @include respond-to(laptop) {
            margin-left: 15px;
          }

          @include respond-to(desktop) {
            margin-left: 50px;
          }

          a {
            color: $black;
            font: 16px/16px $ssp-r, sans-serif;
            text-decoration: none;
            text-transform: uppercase;
            position: relative;

            &:after {
              content: '';
              width: 30px;
              height: 2px;
              display: block;
              background: $aqua;
              position: absolute;
              bottom: -5px; left: 50%;
              margin-left: -15px;
              opacity: 0;
              @include transition;
            }

            @include respond-to(mobile) {
              padding: 15px 0;
              display: block;
              text-align: center;
            }

            @include respond-to(hover) {

              &:hover {
                
                &:after {
                  opacity: 1;
                }
              }
            }
          }

          &.page_item, &.current_page_parent {

            @include respond-to(hover) {

              a {

                &:after {
                  opacity: 1;
                }
              }
            }
          }
        }

        &.active {
          display: block;
          position: absolute;
          width: 110%;
          top: 22px; left: -10px;
          padding: 15px 0;
          background: $white;
          z-index: 1;
          box-shadow: 0 0 50px 0 rgba(0,0,0,.1);
          
          &:before {
            content: '';
            width: 100%;
            height: 42px;
            background: $white;
            position: absolute;
            top: -42px;
            z-index: 1;
          }
        }
      }
    }
  }

  &._fixed {
    box-shadow: 0 0 50px 0 rgba(0,0,0,.1);
  }
}

.header-fixed {
  width: 100%;
  height: 90px;
  background: $white;
}